Package org.jbpm.services.cdi.impl.query

## Class QueryServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.query.QueryServiceImpl
  - - org.jbpm.services.cdi.impl.query.QueryServiceCDIImpl

- All Implemented Interfaces:
    `DeploymentEventListener`, `QueryService`

      @Named("QueryServiceCDIImpl-startable")
      @ApplicationScoped
      public class QueryServiceCDIImpl
      extends QueryServiceImpl

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryServiceCDIImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init()` |
    `void` | `onActivate​(DeploymentEvent event)` |
    `void` | `onDeactivate​(DeploymentEvent event)` |
    `void` | `onDeploy​(DeploymentEvent event)` |
    `void` | `onUnDeploy​(DeploymentEvent event)` |
    `void` | `setCommandService​(TransactionalCommandService commandService)` |
    `void` | `setDeploymentRolesManager​(DeploymentRolesManager deploymentRolesManager)` |
    `void` | `setIdentityProvider​(org.kie.internal.identity.IdentityProvider identityProvider)` |
    `void` | `setUserGroupCallback​(org.kie.api.task.UserGroupCallback userGroupCallback)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.query.QueryServiceImpl

      `apply, applyQueryContext, getDataSetDefRegistry, getDataSourceResolver, getQueries, getQuery, query, query, registerQuery, replaceQuery, setDataSetDefRegistry, setDataSetManager, setDataSourceResolver, setProviderRegistry, unregisterQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryServiceCDIImpl

          public QueryServiceCDIImpl()

  - ### Method Detail

    - #### setIdentityProvider

          @Inject
          public void setIdentityProvider​(org.kie.internal.identity.IdentityProvider identityProvider)

      Overrides:
        `setIdentityProvider` in class `QueryServiceImpl`

    - #### setCommandService

          @Inject
          public void setCommandService​(TransactionalCommandService commandService)

      Overrides:
        `setCommandService` in class `QueryServiceImpl`

    - #### setDeploymentRolesManager

          @Inject
          public void setDeploymentRolesManager​(DeploymentRolesManager deploymentRolesManager)

      Overrides:
        `setDeploymentRolesManager` in class `QueryServiceImpl`

    - #### setUserGroupCallback

          @Inject
          public void setUserGroupCallback​(org.kie.api.task.UserGroupCallback userGroupCallback)

      Overrides:
        `setUserGroupCallback` in class `QueryServiceImpl`

    - #### init

          @PostConstruct
          public void init()

      Overrides:
        `init` in class `QueryServiceImpl`

    - #### onDeploy

          public void onDeploy​(@Observes
                               DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `QueryServiceImpl`

    - #### onUnDeploy

          public void onUnDeploy​(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `QueryServiceImpl`

    - #### onActivate

          public void onActivate​(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `QueryServiceImpl`

    - #### onDeactivate

          public void onDeactivate​(@Observes
                                   DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `QueryServiceImpl`